Package Details: smartgit 18.2.1-1

Git Clone URL: https://aur.archlinux.org/smartgit.git (read-only)
Package Base: smartgit
Description: Git client with Hg and SVN support.
Upstream URL: http://www.syntevo.com/smartgit
Keywords: git hg svn vcs
Licenses: custom
Replaces: smartgithg
Submitter: alyst
Maintainer: alyst (Muflone)
Last Packager: alyst
Votes: 159
Popularity: 0.495311
First Submitted: 2014-11-17 17:04
Last Updated: 2018-12-06 18:06

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

alyst commented on 2014-11-17 17:11

Syntevo has released SmartGit 6.5.0. Note that the name was reverted to SmartGit. To avoid confusion the AUR package name was also updated. There's now smartgit-6.5.0 available in the AUR. "smartgithg" should soon be merged into it.

cedricziel commented on 2014-10-09 08:38

Would you mind setting the retrieval URL to use https? I have serious issues with a proxy on this package only and it's available over https anyways..

orschiro commented on 2014-06-09 17:46

I was able to trace back the issue. It was caused by freshplayerplugin-git from the AUR. It is a package to provide a sandboxed Flash player. For some reasons it conflicts with smartgithg.

Muflone commented on 2014-06-04 23:17

@orschiro
I've never issued any command to let it to work.
Just only once, when smartgit 6.1 started gave me the warning about disable stack guard, then an error dialog was shown asking to inform the developers about the error. Closed such dialog the program started and never shown again any error dialog.
The warning about disable stack guard is still printed on the terminal but no errors are shown apart that warning message.

So I think you have a different issue, not related to the previous warning.

On another Arch x86_64 installation the error dialog was never shown at all.

orschiro commented on 2014-06-04 21:25

@Muflone

Thanks for your comment!

What command did you issue exactly to disable stack guard?

Muflone commented on 2014-06-04 19:05

@orschiro
I'm having the same warning about OpenJDK and disabled stack guard but smartgit works properly after an error dialog was shown only once.

orschiro commented on 2014-06-04 07:00

@alyst

Thanks! Anyone else having issues with launching smartgit?

v6.1 did not fix the issue for me. It's still crashing. :(

dflt commented on 2014-06-03 13:17

After latest update I get: /opt/smartgithg/bin/smartgithg.sh: /opt/smartgithg/bin/smartgithg.sh: cannot execute binary file

alyst commented on 2014-06-03 10:25

@orschiro I'm not sure. On Syntevo site it's implied that OpenJDK should be supported, but I have not tested. You can try Oracle's JDK. Or maybe the issue is fixed in the 6.0.1 version.

orschiro commented on 2014-05-29 08:34

@alyst

Thanks. So could it be an issue related to openjdk?

~ pacman -Q | grep jd
jre7-openjdk 7.u55_2.4.7-1
jre7-openjdk-headless 7.u55_2.4.7-1